package de.unikoblenz.fgbks.base.utils.boundary.checker;

import de.unikoblenz.fgbks.base.utils.boundary.AbstractGrowingBoundary;

public class CheckNotInContact extends AbstractBoundaryCheck<AbstractGrowingBoundary> {

  private static final CheckNotInContact instance = new CheckNotInContact();

  private CheckNotInContact() {
    super();
  }

  public static CheckNotInContact getInstance() {
    return instance;
  }

  @Override
  public BoundaryCheckType getType() {
    return BoundaryCheckType.IS_NOT_IN_CONTACT;
  }

  @Override
  public boolean check(AbstractGrowingBoundary b1, AbstractGrowingBoundary b2) {
    return !CheckInContact.checkInContact(b1, b2);
  }
}
